## go-wire 0~20161027~0git287d8ca

=== Makefile ===
.PHONY: all test get_deps

all: test install

install: get_deps
	go install github.com/tendermint/go-wire/cmd/...

test:
	go test github.com/tendermint/go-wire/...

get_deps:
	go get -d github.com/tendermint/go-wire/...

pigeon:
	pigeon -o expr/expr.go expr/expr.peg

=== debian/changelog ===
go-wire (0~20161027~0git287d8ca-1) unstable; urgency=medium

  * Initial release. (Closes: #838417)

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Oct 2016 08:35:16 +0100

=== debian/control ===
Source: go-wire
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-golang,
 golang-any,
 golang-github-go-stack-stack-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-log15-dev,
 golang-github-tendermint-go-logger-dev,
 golang-golang-x-crypto-dev,
 golang-godebiancontrol-dev
Standards-Version: 3.9.8
Homepage: http://github.com/tendermint/go-wire
XS-Go-Import-Path: github.com/tendermint/go-wire
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/go-wire.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/go-wire.git

Package: wire
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Simple Wire encoding protocol command line tool
 This software implements Go bindings for the Wire
 encoding protocol. The goal of the Wire encoding
 protocol is to be a simple language-agnostic
 encoding protocol for rapid prototyping of
 blockchain applications.
 .
 This package provides the wire command line client.

Package: golang-github-tendermint-go-wire-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 golang-github-go-stack-stack-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-log15-dev,
 golang-github-tendermint-go-logger-dev,
 golang-golang-x-crypto-dev
Description: Go bindings for the Wire encoding protocol
 This software implements Go bindings for the Wire
 encoding protocol. The goal of the Wire encoding
 protocol is to be a simple language-agnostic
 encoding protocol for rapid prototyping of
 blockchain applications.
 .
  * Supported types:
   - Primary types: uvarint, varint, byte,
     uint[8,16,32,64], int[8,16,32,64], string,
     and time types are supported
   - Arrays: Arrays can hold items of any arbitrary
     type. For example, byte-arrays and
     byte-array-arrays are supported.
   -  Structs: Struct fields are encoded by value
     (without the key name) in the order that they
     are declared in the struct. In this way it is
     similar to Apache Avro.
   - Interfaces: Interfaces are like union types
     where the value can be any non-interface type.
     The actual value is preceded by a single "type
     byte" that shows which concrete is encoded.
   - Pointers: Pointers are like optional fields.
     The first byte is 0x00 to denote a null pointer
     (e.g. no value), otherwise it is 0x01.
  * Unsupported types:
   - Maps: Maps are not supported because for most
     languages, key orders are nondeterministic. If
     you need to encode/decode maps of arbitrary
     key-value pairs, encode an array of {key,value}
     structs instead.
   - Floating points: Floating point number types are
     discouraged because of reasons. If you need to
     use them, use the field tag wire:"unsafe".
   - Enums: Enum types are not supported in all
     languages, and they're simple enough to model
     as integers anyways.
 .
 A compatible (and slower) JSON codec is included.
 .
 This package includes the source code and development
 files to compile applications.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DH_GOPKG := github.com/tendermint/go-wire

%:
	dh $@ --buildsystem=golang --with=golang

get-orig-source:
	debian/get-git-source.sh

## go-wire 1.0~rc+git20161223.40.2f3b7aa

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	go install github.com/tendermint/go-wire/cmd/...
 
 test:
-	go test github.com/tendermint/go-wire/...
+	go test --race github.com/tendermint/go-wire/...
 
 get_deps:
 	go get -d github.com/tendermint/go-wire/...

=== debian/changelog ===
go-wire (1.0~rc+git20161223.40.2f3b7aa-2build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:16:45 +0000

go-wire (1.0~rc+git20161223.40.2f3b7aa-2) unstable; urgency=medium

  [ Alessio Treglia ]
  * Team upload.
  * Clean up golang-github-tendermint-go-wire-dev's Depends field

  [ Michael Stapelberg ]
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:42:32 +0100

go-wire (1.0~rc+git20161223.40.2f3b7aa-1) unstable; urgency=medium

  * Imported Upstream version 1.0~rc+git20161223.40.2f3b7aa
  * Remove unnecessary deps

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2017 08:39:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: go-wire
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9~),
  dh-golang,
  golang-any,
- golang-github-go-stack-stack-dev,
  golang-github-tendermint-go-common-dev,
- golang-github-tendermint-log15-dev,
  golang-github-tendermint-go-logger-dev,
- golang-golang-x-crypto-dev,
- golang-godebiancontrol-dev
+ golang-golang-x-crypto-dev
 Standards-Version: 3.9.8
 Homepage: http://github.com/tendermint/go-wire
 XS-Go-Import-Path: github.com/tendermint/go-wire
@@ -24,6 +22,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Simple Wire encoding protocol command line tool
  This software implements Go bindings for the Wire
  encoding protocol. The goal of the Wire encoding
@@ -38,9 +37,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- golang-github-go-stack-stack-dev,
  golang-github-tendermint-go-common-dev,
- golang-github-tendermint-log15-dev,
  golang-github-tendermint-go-logger-dev,
  golang-golang-x-crypto-dev
 Description: Go bindings for the Wire encoding protocol
